/*
 * Double.scala
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package scala


/**
 * Class Double  belongs to the value classes whose instances are not 
 * represented as objects by the underlying host system. All value classes inherit 
 * from class AnyVal.
 * 
 * Values MAX_DOUBLE and MIN_DOUBLE are in defined in object scala.Math.  
 */
abstract final class Double extends AnyVal {
    
    def  toByte : Byte

    def toShort : Short

    def toChar : Char

    def toInt : Int

    def toLong : Long

    def toFloat : Float

    def toDouble : Double

    def +(arg0 : java.lang.String) : java.lang.String

    def unary_+ : Double

    def unary_- : Double

    def ==(arg0 : Byte) : Boolean

    def !=(arg0 : Byte) : Boolean

    def <(arg0 : Byte) : Boolean

    def <=(arg0 : Byte) : Boolean

    def >(arg0 : Byte) : Boolean

    def >=(arg0 : Byte) : Boolean

    def +(arg0 : Byte) : Double

    def -(arg0 : Byte) : Double

    def *(arg0 : Byte) : Double

    def /(arg0 : Byte) : Double

    def %(arg0 : Byte) : Double

    def ==(arg0 : Short) : Boolean

    def !=(arg0 : Short) : Boolean

    def <(arg0 : Short) : Boolean

    def <=(arg0 : Short) : Boolean

    def >(arg0 : Short) : Boolean

    def >=(arg0 : Short) : Boolean

    def +(arg0 : Short) : Double

    def -(arg0 : Short) : Double

    def *(arg0 : Short) : Double

    def /(arg0 : Short) : Double

    def %(arg0 : Short) : Double

    def ==(arg0 : Char) : Boolean

    def !=(arg0 : Char) : Boolean

    def <(arg0 : Char) : Boolean

    def <=(arg0 : Char) : Boolean

    def >(arg0 : Char) : Boolean

    def >=(arg0 : Char) : Boolean

    def +(arg0 : Char) : Double

    def -(arg0 : Char) : Double

    def *(arg0 : Char) : Double

    def /(arg0 : Char) : Double

    def %(arg0 : Char) : Double

    def ==(arg0 : Int) : Boolean

    def !=(arg0 : Int) : Boolean

    def <(arg0 : Int) : Boolean

    def <=(arg0 : Int) : Boolean

    def >(arg0 : Int) : Boolean

    def >=(arg0 : Int) : Boolean

    def +(arg0 : Int) : Double

    def -(arg0 : Int) : Double

    def *(arg0 : Int) : Double

    def /(arg0 : Int) : Double

    def %(arg0 : Int) : Double

    def ==(arg0 : Long) : Boolean

    def !=(arg0 : Long) : Boolean

    def <(arg0 : Long) : Boolean

    def <=(arg0 : Long) : Boolean

    def >(arg0 : Long) : Boolean

    def >=(arg0 : Long) : Boolean

    def +(arg0 : Long) : Double

    def -(arg0 : Long) : Double

    def *(arg0 : Long) : Double

    def /(arg0 : Long) : Double

    def %(arg0 : Long) : Double

    def ==(arg0 : Float) : Boolean

    def !=(arg0 : Float) : Boolean

    def <(arg0 : Float) : Boolean

    def <=(arg0 : Float) : Boolean

    def >(arg0 : Float) : Boolean

    def >=(arg0 : Float) : Boolean

    def +(arg0 : Float) : Double

    def -(arg0 : Float) : Double

    def *(arg0 : Float) : Double

    def /(arg0 : Float) : Double

    def %(arg0 : Float) : Double

    def ==(arg0 : Double) : Boolean

    def !=(arg0 : Double) : Boolean

    def <(arg0 : Double) : Boolean

    def <=(arg0 : Double) : Boolean

    def >(arg0 : Double) : Boolean

    def >=(arg0 : Double) : Boolean

    def +(arg0 : Double) : Double

    def -(arg0 : Double) : Double

    def *(arg0 : Double) : Double

    def /(arg0 : Double) : Double

    def %(arg0 : Double) : Double 
}
